%define major 2
%define tarball_name towitoko
%define libname %mklibname %{tarball_name} %major

Summary: CT-API and PCSC-Lite driver for Towitoko smart card readers
Name: %{libname}
Version: 2.0.7
Release: %mkrel 2
License: GPL
Group: System/Libraries
Source0: http://www.geocities.com/cprados/files/%{tarball_name}-%{version}.tar.gz
URL: http://www.geocities.com/cprados/
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides a driver for using Towitoko smartcard readers under UNIX
environment.

%package devel
Summary: Development files for Towitoko smart card readers
Group: Development/C
Requires: %{name} = %{version}
Provides: libtowitoko-devel = %{version}-%{release}

%description devel
This package contains header files and development libraries for
Towitoko smartcard readers.

%prep
%setup -q -n %{tarball_name}-%{version}

%build
aclocal
autoconf
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README doc/reader.conf
%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%doc ChangeLog doc/*.html
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Wed May 17 2006 Andras Hasenack <andreas@mandriva.com> 2.0.7-2mdk
- fix x86_64 build: libtool was being generated incorrectly

* Thu Nov 24 2005 Andreas Hasenack <andreas@mandriva.com> 2.0.7-1mdk
- packaged for Mandriva

